# -*- coding: utf-8 -*-
#
# File: utils.py
#
from AccessControl import getSecurityManager, Unauthorized
from Acquisition import aq_base, aq_parent, aq_inner
from Products.CMFCore.utils import getToolByName


def getInheritedStudentResources(self):        
    """
    This gets the student resources from parents, grandparents, and so.
    """    
    mtool = getToolByName(self, 'portal_membership')
    member = mtool.getAuthenticatedMember()
    obj = aq_inner(self)
    resources = ""
    
    while obj.portal_type in ['EDUPage', 'EDUContentFolder', 'EDUMultPage', 'EDUMultiContentFolder']:
        if obj.portal_type in ['EDUPage', 'EDUContentFolder']:
            resources = resources + obj.getStudent_resources()
         
        if obj.portal_type in ['EDUMultiPage', 'EDUMultiContentFolder']:
             if member.has_permission('EDUContent:View K-5', obj):
                 resources = resources + obj.getResources_k_4()
             if member.has_permission('EDUContent:View 6-12', obj):
                 resources = resources + obj.getResources_5_12()
        obj = obj.aq_parent
    return resources
