# -*- coding: utf-8 -*-
#
# File: CoreSchema.py
#
# Copyright (c) 2009 by 7 Tech NW
# Generator: ArchGenXML Version 2.3
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#

__author__ = """Richard Amerman - 7TechNW <info@7technw.com>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from zope.interface import implements
import interfaces

from Products.CMFDynamicViewFTI.browserdefault import BrowserDefaultMixin

from Products.EDUContent.config import *

# additional imports from tagged value 'import'
from archetypes.referencebrowserwidget import ReferenceBrowserWidget

##code-section module-header #fill in your manual code here
##/code-section module-header

schema = Schema((

    TextField(
        name='description',
        widget=TextAreaWidget(
            label='Description',
            label_msgid='EDUContent_label_description',
            i18n_domain='EDUContent',
        ),
        read_permission="EDUContent:View Teacher",
    ),
    StringField(
        name='student_audience',
        widget=SelectionWidget(
            label="Student Audience",
            label_msgid='EDUContent_label_student_audience',
            i18n_domain='EDUContent',
        ),
        vocabulary=["K-5", "6-12"],
        searchable=True,
        read_permission="EDUContent:View Teacher",
    ),
    TextField(
        name='student_content',
        allowable_content_types=('text/plain', 'text/structured', 'text/html', 'application/msword',),
        widget=RichWidget(
            label="Student Content",
            label_msgid='EDUContent_label_student_content',
            i18n_domain='EDUContent',
        ),
        searchable=True,
        default_output_type='text/html',
    ),
    TextField(
        name='teacher_content',
        allowable_content_types=('text/plain', 'text/structured', 'text/html', 'application/msword',),
        widget=RichWidget(
            label="Teacher Content",
            label_msgid='EDUContent_label_teacher_content',
            i18n_domain='EDUContent',
        ),
        read_permission="EDUContent:View Teacher",
        searchable=True,
        default_output_type='text/html',
    ),
    ReferenceField(
        name='previous_page',
        widget=ReferenceBrowserWidget(
            label="BACK",
            label_msgid='EDUContent_label_previous_page',
            i18n_domain='EDUContent',
        ),
        schemata="HiddenFields",
        relationship="previous",
    ),
    ReferenceField(
        name='next_page',
        widget=ReferenceBrowserWidget(
            label="NEXT",
            label_msgid='EDUContent_label_next_page',
            i18n_domain='EDUContent',
        ),
        schemata="HiddenFields",
        relationship="next",
    ),
    ReferenceField(
        name='links',
        widget=ReferenceBrowserWidget(
            label="Links",
            label_msgid='EDUContent_label_links',
            i18n_domain='EDUContent',
        ),
        schemata="HiddenFields",
        multiValued=True,
        relationship="links",
    ),
    TextField(
        name='student_resources',
        allowable_content_types=('text/plain', 'text/structured', 'text/html', 'application/msword',),
        widget=RichWidget(
            label="Student Resources",
            label_msgid='EDUContent_label_student_resources',
            i18n_domain='EDUContent',
        ),
        schemata="HiddenFields",
        searchable=True,
        default_output_type='text/html',
    ),
    TextField(
        name='teacher_resources',
        widget=RichWidget(
            label="Teacher Resources",
            label_msgid='EDUContent_label_teacher_resources',
            i18n_domain='EDUContent',
        ),
        read_permission="EDUContent:View Teacher",
        searchable=True,
        allowable_content_types=('text/plain', 'text/structured', 'text/html', 'application/msword',),
        schemata="HiddenFields",
        default_output_type='text/html',
    ),
    StringField(
        name='rating',
        widget=SelectionWidget(
            label="Rating",
            label_msgid='EDUContent_label_rating',
            i18n_domain='EDUContent',
        ),
        schemata="HiddenFields",
        searchable=True,
        vocabulary=["1", "2", "3", "4", "5"],
        read_permission="EDUContent:View Teacher",
    ),

),
)

##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

CoreSchema_schema = BaseSchema.copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class CoreSchema(BrowserDefaultMixin):
    """
    """
    security = ClassSecurityInfo()

    implements(interfaces.ICoreSchema)

    meta_type = 'CoreSchema'
    _at_rename_after_creation = True

    schema = CoreSchema_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header

    # Methods


# end of class CoreSchema

##code-section module-footer #fill in your manual code here
##/code-section module-footer



