# -*- coding: utf-8 -*-
#
# File: MultiCoreSchema.py
#
# Copyright (c) 2009 by 7 Tech NW
# Generator: ArchGenXML Version 2.3
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#

__author__ = """Richard Amerman - 7TechNW <info@7technw.com>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from zope.interface import implements
import interfaces

from Products.CMFDynamicViewFTI.browserdefault import BrowserDefaultMixin

from Products.EDUContent.config import *

# additional imports from tagged value 'import'
from archetypes.referencebrowserwidget import ReferenceBrowserWidget

##code-section module-header #fill in your manual code here
##/code-section module-header

schema = Schema((

    TextField(
        name='description',
        widget=TextAreaWidget(
            label='Description',
            label_msgid='EDUContent_label_description',
            i18n_domain='EDUContent',
        ),
        read_permission="EDUContent:View Teacher",
    ),
    TextField(
        name='content_k_4',
        widget=RichWidget(
            label="K-5 Content",
            label_msgid='EDUContent_label_content_k_4',
            i18n_domain='EDUContent',
        ),
        read_permission="EDUContent:View K-5",
        searchable=True,
        allowable_content_types=('text/plain', 'text/structured', 'text/html', 'application/msword',),
        default_output_type='text/html',
        write_permission="EDUContent: Write k-5",
    ),
    ReferenceField(
        name='previous_page_k_4',
        widget=ReferenceBrowserWidget(
            label="BACK",
            label_msgid='EDUContent_label_previous_page_k_4',
            i18n_domain='EDUContent',
        ),
        schemata="HiddenFields",
        read_permission="EDUContent:View K-5",
        relationship="previous_k_4",
        write_permission="EDUContent: Write k-5",
    ),
    ReferenceField(
        name='next_page_k_4',
        widget=ReferenceBrowserWidget(
            label="NEXT",
            label_msgid='EDUContent_label_next_page_k_4',
            i18n_domain='EDUContent',
        ),
        schemata="HiddenFields",
        read_permission="EDUContent:View K-5",
        relationship="next_k_4",
        write_permission="EDUContent: Write k-5",
    ),
    ReferenceField(
        name='links_k_4',
        widget=ReferenceBrowserWidget(
            label="Links",
            label_msgid='EDUContent_label_links_k_4',
            i18n_domain='EDUContent',
        ),
        schemata="HiddenFields",
        multiValued=True,
        relationship="links_k_4",
        write_permission="EDUContent: Write k-5",
        read_permission="EDUContent:View K-5",
    ),
    TextField(
        name='resources_k_4',
        widget=RichWidget(
            label="K-5 Resources",
            label_msgid='EDUContent_label_resources_k_4',
            i18n_domain='EDUContent',
        ),
        read_permission="EDUContent:View K-5",
        searchable=True,
        allowable_content_types=('text/plain', 'text/structured', 'text/html', 'application/msword',),
        schemata="HiddenFields",
        default_output_type='text/html',
        write_permission="EDUContent: Write k-5",
    ),
    TextField(
        name='teacher_content_k_4',
        widget=RichWidget(
            label="Teacher K-5 Content",
            label_msgid='EDUContent_label_teacher_content_k_4',
            i18n_domain='EDUContent',
        ),
        read_permission="EDUContent:View Primary Teacher",
        searchable=True,
        allowable_content_types=('text/plain', 'text/structured', 'text/html', 'application/msword',),
        default_output_type='text/html',
        write_permission="EDUContent: Write k-5",
    ),
    TextField(
        name='content_5_12',
        widget=RichWidget(
            label="6-12 Content",
            label_msgid='EDUContent_label_content_5_12',
            i18n_domain='EDUContent',
        ),
        read_permission="EDUContent:View 6-12",
        searchable=True,
        allowable_content_types=('text/plain', 'text/structured', 'text/html', 'application/msword',),
        default_output_type='text/html',
        write_permission="EDUContent: Write 6-12",
    ),
    ReferenceField(
        name='previous_page_5_12',
        widget=ReferenceBrowserWidget(
            label="BACK",
            label_msgid='EDUContent_label_previous_page_5_12',
            i18n_domain='EDUContent',
        ),
        schemata="HiddenFields",
        read_permission="EDUContent:View 6-12",
        relationship="previous_5_12",
        write_permission="EDUContent: Write 6-12",
    ),
    ReferenceField(
        name='next_page_5_12',
        widget=ReferenceBrowserWidget(
            label="NEXT",
            label_msgid='EDUContent_label_next_page_5_12',
            i18n_domain='EDUContent',
        ),
        schemata="HiddenFields",
        read_permission="EDUContent:View 6-12",
        relationship="next_5_12",
        write_permission="EDUContent: Write 6-12",
    ),
    ReferenceField(
        name='links_5_12',
        widget=ReferenceBrowserWidget(
            label="Links",
            label_msgid='EDUContent_label_links_5_12',
            i18n_domain='EDUContent',
        ),
        schemata="HiddenFields",
        read_permission="EDUContent:View 6-12",
        relationship="links_5_12",
        write_permission="EDUContent: Write 6-12",
        multiValued=True,
    ),
    TextField(
        name='resources_5_12',
        widget=RichWidget(
            label="6-12 Resources",
            label_msgid='EDUContent_label_resources_5_12',
            i18n_domain='EDUContent',
        ),
        read_permission="EDUContent:View 6-12",
        searchable=True,
        allowable_content_types=('text/plain', 'text/structured', 'text/html', 'application/msword',),
        schemata="HiddenFields",
        default_output_type='text/html',
        write_permission="EDUContent: Write 6-12",
    ),
    TextField(
        name='teacher_content_5_12',
        widget=RichWidget(
            label="Teacher 6-12 Content",
            label_msgid='EDUContent_label_teacher_content_5_12',
            i18n_domain='EDUContent',
        ),
        read_permission="EDUContent:View Secondary Teacher",
        searchable=True,
        allowable_content_types=('text/plain', 'text/structured', 'text/html', 'application/msword',),
        default_output_type='text/html',
        write_permission="EDUContent: Write 6-12",
    ),
    TextField(
        name='teacher_resources',
        widget=RichWidget(
            label="Teacher Resources",
            label_msgid='EDUContent_label_teacher_resources',
            i18n_domain='EDUContent',
        ),
        read_permission="EDUContent:View Teacher",
        searchable=True,
        allowable_content_types=('text/plain', 'text/structured', 'text/html', 'application/msword',),
        schemata="HiddenFields",
        default_output_type='text/html',
    ),
    StringField(
        name='rating',
        widget=SelectionWidget(
            label="Rating",
            label_msgid='EDUContent_label_rating',
            i18n_domain='EDUContent',
        ),
        schemata="HiddenFields",
        searchable=True,
        vocabulary=["1", "2", "3", "4", "5"],
        read_permission="EDUContent:View Teacher",
    ),

),
)

##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

MultiCoreSchema_schema = BaseSchema.copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class MultiCoreSchema(BrowserDefaultMixin):
    """
    """
    security = ClassSecurityInfo()

    implements(interfaces.IMultiCoreSchema)

    meta_type = 'MultiCoreSchema'
    _at_rename_after_creation = True

    schema = MultiCoreSchema_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header

    # Methods


# end of class MultiCoreSchema

##code-section module-footer #fill in your manual code here
##/code-section module-footer



